/**
 * Various sizes of asteroids in the game.
 * 
 * @author CS159 Instructors
 * @version s23
 */
public enum AsteroidSize {
    SMALL(10, 200), MEDIUM(20, 100), LARGE(30, 50);

    private int radius;
    private int points;

    /**
     * Constructs an asteroid size of given values.
     * 
     * @param radius the radius
     * @param points the points
     */
    AsteroidSize(int radius, int points) {
        this.radius = radius;
        this.points = points;
    }

    public int getRadius() {
        return radius;
    }

    public int getPoints() {
        return points;
    }

    /**
     * Selects one of the asteroid sizes at random.
     * 
     * @return the random size
     */
    public static AsteroidSize randomSize() {
        AsteroidSize size;
        double next = GameDriver.GENERATOR.nextDouble();
        if (next < 0.25) {
            size = SMALL;
        } else if (next < 0.50) {
            size = MEDIUM;
        } else {
            size = LARGE;
        }
        return size;
    }

}
