/**
 * A bullet that flies out of the ship.
 * 
 * @author CS159 Instructors
 * @version s23
 */
public class Bullet extends GameElement {

    public static final double BULLET_RADIUS = 1.5;
    public static final int BULLET_SPEED = 20;
    public static final int BULLET_DURATION = 20;

    protected int counter;

    /**
     * Constructs a bullet with the given pose.
     * 
     * @param pose initial pose
     */
    public Bullet(Pose pose) {
        super(pose, new Vector2D(pose.getHeading(), BULLET_SPEED), BULLET_RADIUS);
        this.counter = 0;
    }

    @Override
    public void update() {
        super.update();
        if (counter >= BULLET_DURATION) {
            destroyed = true;
        }
        this.counter++;
    }

    @Override
    public void draw() {
        StdDraw.filledCircle(pose.getX(), pose.getY(), radius);
    }

}
