/**
 * Game elements that can destroy the ship.
 * 
 * @author CS159 Instructors
 * @version s23
 */
public abstract class Enemy extends GameElement {

    protected int points;

    /**
     * Constructs an enemy at a random location.
     * 
     * @param speed the enemy's speed
     * @param radius the collision radius
     * @param points the enemy's points
     */
    public Enemy(double speed, double radius, int points) {
        super(new Pose(AsteroidsGame.randomXPosition(),
                AsteroidsGame.randomYPosition(), 0),
                new Vector2D(AsteroidsGame.randomHeading(), speed), radius);
        this.points = points;
    }

    public int getPoints() {
        return points;
    }

}
