/**
 * Text information displayed on the screen.
 * 
 * @author CS159 Instructors
 * @version s23
 */
public class NumericDisplay implements Drawable {

    private String prefix;
    private int value;

    private Point location;
    
    /**
     * Constructs a display at the given location.
     * 
     * @param xPos the x position
     * @param yPos the y position
     * @param prefix text before the value
     * @param value initial numeric value
     */
    public NumericDisplay(int xPos, int yPos, String prefix, int value) {
        location = new Point(xPos, yPos);
        this.prefix = prefix;
        this.value = value;
    }

    public Point getLocation() {
        return location;
    }
    
    public String getPrefix() {
        return prefix; 
    }
    
    public int getValue() {
        return value;
    }

    public void setValue(int value) {
        this.value = value;
    }

    @Override
    public void draw() {
        StdDraw.textLeft(location.getX(), location.getY(),
                this.prefix + this.value);
    }

}
