/**
 * Methods that must be implemented by game classes in order to be playable
 * using the GameDriver.
 * 
 * @author CS159 Instructors
 * @version s23
 */
public interface Playable {
    
    /**
     * Starts a new game.
     */
    void startGame();

    /**
     * Change the state of the game appropriately for a single time step.
     */
    void update();

    /**
     * Draw the current state of the game.
     */
    void draw();
}
