/**
 * A flying saucer that attacks the ship.
 * 
 * @author CS159 Instructors
 * @version s23
 */
public class Saucer extends Enemy {

    public static final int HALF_WIDTH = 10;
    public static final int HALF_HEIGHT = 5;
    public static final int SAUCER_SPEED = 2;
    public static final int SAUCER_POINTS = 400;

    public static final double SPAWN_PROB = 0.002;
    public static final double TURN_PROB = 0.05;

    /**
     * Constructs a saucer at a random location.
     */
    public Saucer() {
        super(SAUCER_SPEED, Math.max(HALF_WIDTH, HALF_HEIGHT), SAUCER_POINTS);
    }

    @Override
    public void update() {
        // change headings every now and then
        if (GameDriver.GENERATOR.nextDouble() < TURN_PROB) {
            velocity = velocity.newHeading(newHeading());
        }
        pose = pose.move(velocity);

        // disappear when leaving the screen (and don't add points to score)
        if (pose.getX() > GameDriver.SCREEN_WIDTH || pose.getX() < 0 || pose.getY() > GameDriver.SCREEN_HEIGHT
                || pose.getY() < 0) {
            destroyed = true;
            points = 0;
        }
    }

    /**
     * Compute a new heading for the Saucer. Choose it randomly.
     * 
     * @return a new heading in the range [0, 2Pi).
     */
    protected double newHeading() {
        return AsteroidsGame.randomHeading();
    }

    @Override
    public void draw() {
        StdDraw.rectangle(pose.getX(), pose.getY(), HALF_WIDTH, HALF_HEIGHT);
    }

}
