/**
 * Stationary circle that represents a star.
 * 
 * @author CS159 Instructors
 * @version s23
 */
public class Star implements Drawable {
    public static final int STAR_RADIUS = 1;
    private Point location;
    
    /**
     * Constructs a star at the given position.
     * 
     * @param xPos the x position
     * @param yPos the y position
     */
    public Star(double xPos, double yPos) {
        location = new Point(xPos, yPos);
    }

    public Point getLocation() {
        return location;
    }
    
    @Override
    public void draw() {
        StdDraw.filledCircle(location.getX(), location.getY(), STAR_RADIUS);
    }

}
